Status transaksi (Thailand)
Sekitar 1 menit
API inquiry status transaksi wilayah Thailand (THB).
Request
Request Path:
sandbox:
https://sandbox-gateway.smilepayz.com/v2.0/inquiry-status
production:https://gateway.smilepayz.com/v2.0/inquiry-status
Header Parameters
| Field | Required | Type | Description |
|---|---|---|---|
Content-Type | M | String | application/json request body. |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
X-SIGNATURE | M | String | Signature of JSON body (see product Signature doc). |
X-PARTNER-ID | M | String | Your merchantID (alphanumeric). |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
tradeType | M | Number | 1 = Pay-in, 2 = Pay-out. |
orderNo | C | String(32) | Merchant-unique id, 6–32 alphanumeric. |
tradeNo | C | String(32) | Smilepayz tradeNo for this order. |
Requirement
At least one of tradeNo or orderNo must be sent.
Example Body – Inquiry Status Request:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
X-SIGNATURE: 85be817c55b2c135157c7e89f52499bf0c25ad6eeebe04a986e8c862561b19a5
X-PARTNER-ID: 20001
{
"tradeType": 1,
"orderNo": "2000112900000000000001"
}
{
"tradeType": 2,
"tradeNo": "112200312406111311517153"
}
Responses
HTTP Request
| Field | Required | Type | Description |
|---|---|---|---|
Content-Type | M | String | application/json request body. |
X-TIMESTAMP | M | String | Format: yyyy-MM-ddTHH:mm:ss±HH:mm |
Body Parameters
| Field | Required | Type | Description |
|---|---|---|---|
code | M | String | 00 success, other values error. |
message | M | String | UTF-8 human-readable result line. |
tradeNo | O | String | Smilepayz tradeNo for this order. |
tradeType | O | Number | 1 Pay-in / 2 Pay-out. |
paymentMethod | O | String | Code (see Payment methods doc). |
money | O | Object | Currency plus amount for this transaction. |
currency | M | String | Fixed to THB. |
amount | M | Number | THB amount as integer per channel rules. |
status | O | String | Order or payment status enum value. |
remark | O | String | Extra notes when present. |
Example Body – Inquiry Status Response:
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
{
"code": "00",
"message": "Successful",
"tradeNo": "122200312406111311517153",
"tradeType": 2,
"paymentMethod": "KBANK",
"money": {
"currency": "THB",
"amount": 20000
},
"status": "SUCCESS"
}
